Log
22 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| getRemoteLoggingTip | GET | Get customer remote logging tip |
| getLogSettingForGlobal | GET | Get global log notification (deprecated) |
| modifyLogSettingGlobal | PATCH | Modify global log notification (deprecated) |
| getAlertLogsForGlobal | GET | Get global alert log list |
| deleteAlertLogsForGlobal | DELETE | Delete global alert log |
| getEventLogsForGlobal | GET | Get global event log list |
| deleteEventLogsForGlobal | DELETE | Delete global event log |
| exportLogListForGlobal | POST | Export log list in global view |
| resetLogSettingGlobal | POST | Reset global log notification |
| getAlertLogsForSite | GET | Get site alert log list |
| deleteAlertLogsForSite | DELETE | Delete site alert log |
| resolveAlertForSite | POST | Resolve site alert log |
| getEventLogsForSite | GET | Get site event log list |
| deleteEventLogsForSite | DELETE | Delete site event log |
| getRemoteLoggingSettingTip | GET | Get site remote logging setting tip |
| getLogSettingForSite | GET | Get site log notification (deprecated) |
| modifyLogSettingSite | PATCH | Modify site log notification (deprecated) |
| resetLogSettingSite | POST | Reset site log notification |
| getLogSettingForGlobalV2 | GET | Get global log notification v2 |
| modifyLogSettingGlobalV2 | PATCH | Modify global log notification v2 |
| getLogSettingForSiteV2 | GET | Get site log notification v2 |
| modifyLogSettingSiteV2 | PATCH | Modify site log notification v2 |
getRemoteLoggingTip
GET /openapi/v1/{omadacId}/global/controller/setting/syslog/tip
Get customer remote logging tip
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getRemoteLoggingTip"
}Details, permissions and error codes
Get customer remote logging tip.
The interface requires one of the permissions:
Global Other Setting View Only
getLogSettingForGlobal
GET /openapi/v1/{omadacId}/log-notification
Deprecated
This operation is deprecated.
Get global log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getLogSettingForGlobal"
}Details, permissions and error codes
Get global log notification.This interface has been deprecated. Please use the following interface instead: Get global log notification v2
The interface requires one of the permissions:
Global Log & Audit Log Manager View Only
modifyLogSettingGlobal
PATCH /openapi/v1/{omadacId}/log-notification
Deprecated
This operation is deprecated.
Modify global log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema LogNotificationSettingEditOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
webhookConfig | WebhookConfigEditOpenApiVO | no | (WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO") |
logNotifications | array<LogNotificationEditOpenApiVO> | yes | Log Notification List |
alertEmailSetting | LogAlertEmailOpenApiVO | no | (LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyLogSettingGlobal",
"body": "{...}"
}Details, permissions and error codes
Modify global log notification.This interface has been deprecated. Please use the following interface instead: Modify global log notification v2
The interface requires one of the permissions:
Global Log & Audit Log Manager Modify
getAlertLogsForGlobal
GET /openapi/v1/{omadacId}/logs/alerts
Get global alert log list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100) |
filters.timeStart | query | integer | yes | Filter query parameters, support field 1679297710438 |
filters.timeEnd | query | integer | yes | Filter query parameters, support field 1681889710438 |
filters.module | query | string | no | Filter query parameters, support field module, it should be a value as follows: System, Device |
filters.resolved | query | boolean | no | Filter query parameters, support field resolved, it should be a value as follows: true, false |
// omada_call_operation
{
"operationId": "getAlertLogsForGlobal",
"params": {
"filters.timeStart": "<filters.timeStart>",
"filters.timeEnd": "<filters.timeEnd>"
}
}Details, permissions and error codes
Get logs in global alert log page.
The interface requires one of the permissions:
Global Log & Audit Log Manager View Only
deleteAlertLogsForGlobal
DELETE /openapi/v1/{omadacId}/logs/alerts/delete
Delete global alert log
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema DeleteGlobalAlertLogListOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
logs | array<string> | no | Select the logs to delete; Log ID list can be obtained from 'Get global alert log list' interface. |
selectType | string | yes | Select type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]'). |
startTime | integer | yes | The start timeStamp of the delete global alert log, unit: MS. |
endTime | integer | yes | The end timeStamp of the delete global alert log, unit: MS. |
filterModule | string | no | The module of the delete global log; It is required when [selectType] is 'all', filterModule should be a value as follows: 'System' or 'Device'. |
// omada_call_operation
{
"operationId": "deleteAlertLogsForGlobal",
"body": "{...}"
}Details, permissions and error codes
Delete global alert log.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify
getEventLogsForGlobal
GET /openapi/v1/{omadacId}/logs/events
Get global event log list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100) |
filters.timeStart | query | integer | yes | Filter query parameters, support field 1679297710438 |
filters.timeEnd | query | integer | yes | Filter query parameters, support field 1681889710438 |
filters.module | query | string | no | Filter query parameters, support field module, it should be a value as follows: System, Device |
// omada_call_operation
{
"operationId": "getEventLogsForGlobal",
"params": {
"filters.timeStart": "<filters.timeStart>",
"filters.timeEnd": "<filters.timeEnd>"
}
}Details, permissions and error codes
Get logs in global event log page.
The interface requires one of the permissions:
Global Log & Audit Log Manager View Only
deleteEventLogsForGlobal
DELETE /openapi/v1/{omadacId}/logs/events/delete
Delete global event log
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema DeleteGlobalEventLogListOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
logs | array<string> | no | Select the logs to delete; Log ID list can be obtained from 'Get global event log list' interface. |
selectType | string | yes | Select type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]'). |
startTime | integer | yes | The start timeStamp of the delete global event log, unit: MS. |
endTime | integer | yes | The end timeStamp of the delete global event log, unit: MS. |
filterModule | string | no | The module of the delete global log; It is required when [selectType] is 'all', filterModule should be a value as follows: 'System' or 'Device'. |
// omada_call_operation
{
"operationId": "deleteEventLogsForGlobal",
"body": "{...}"
}Details, permissions and error codes
Delete global event log.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify
exportLogListForGlobal
POST /openapi/v1/{omadacId}/logs/export
Export log list in global view
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema ExportLogOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
siteIds | array<string> | yes | Parameter [siteIds] indicates site IDs that need to export log results. |
format | integer | yes | Parameter [format] indicates the type of the exported file. 0: CSV, 1: xlsx. |
// omada_call_operation
{
"operationId": "exportLogListForGlobal",
"body": "{...}"
}Details, permissions and error codes
Export log list in global view.
The interface requires one of the permissions:
Global Export Data Access
resetLogSettingGlobal
POST /openapi/v1/{omadacId}/reset/log-notification
Reset global log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "resetLogSettingGlobal"
}Details, permissions and error codes
Reset global log notification.
The interface requires one of the permissions:
Global Log & Audit Log Manager Modify
getAlertLogsForSite
GET /openapi/v1/{omadacId}/sites/{siteId}/logs/alerts
Get site alert log list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100) |
filters.timeStart | query | integer | yes | Filter query parameters, support field 1679297710438 |
filters.timeEnd | query | integer | yes | Filter query parameters, support field 1681889710438 |
filters.module | query | string | no | Filter query parameters, support field module, it should be a value as follows: System, Device, Client |
filters.resolved | query | boolean | no | Filter query parameters, support field resolved, it should be a value as follows: true, false |
// omada_call_operation
{
"operationId": "getAlertLogsForSite",
"params": {
"siteId": "<siteId>",
"filters.timeStart": "<filters.timeStart>",
"filters.timeEnd": "<filters.timeEnd>"
}
}Details, permissions and error codes
Get logs in site alert log page.
The interface requires one of the permissions:
Site Log & Audit Log Manager View Only
deleteAlertLogsForSite
DELETE /openapi/v1/{omadacId}/sites/{siteId}/logs/alerts/delete
Delete site alert log
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DeleteSiteAlertLogListOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
logs | array<string> | no | Select the logs to delete; Log ID list can be obtained from 'Get site alert log list' interface. |
selectType | string | yes | Select type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]'). |
startTime | integer | yes | The start timeStamp of the delete site alert log, unit: MS. |
endTime | integer | yes | The end timeStamp of the delete site alert log, unit: MS. |
filterModule | string | no | The module of the delete site alert log; It is required when [selectType] is 'all', filterModule should be a value as follows: 'System' or 'Device'. |
// omada_call_operation
{
"operationId": "deleteAlertLogsForSite",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete site alert log.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify
resolveAlertForSite
POST /openapi/v1/{omadacId}/sites/{siteId}/logs/alerts/resolve
Resolve site alert log
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema ResolveSiteLogListOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
logs | array<string> | no | Select the logs to resolve; Log ID list can be obtained from 'Get site alert log list' interface. |
selectType | string | yes | Select type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]'). |
startTime | integer | yes | The start timeStamp of the resolve site alert log, unit: MS. |
endTime | integer | yes | The end timeStamp of the resolve site alert log, unit: MS. |
filterModule | string | no | The module of the resolve site alert log; It is required when [selectType] is 'all', filterModule should be a value as follows: 'System' or 'Device'. |
// omada_call_operation
{
"operationId": "resolveAlertForSite",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Resolve site alert log.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify
getEventLogsForSite
GET /openapi/v1/{omadacId}/sites/{siteId}/logs/events
Get site event log list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000.(value:10,15,20,30,50,100) (default 100) |
filters.timeStart | query | integer | yes | Filter query parameters, support field 1679297710438 |
filters.timeEnd | query | integer | yes | Filter query parameters, support field 1681889710438 |
filters.module | query | string | no | Filter query parameters, support field module, it should be a value as follows: System, Device, Client |
// omada_call_operation
{
"operationId": "getEventLogsForSite",
"params": {
"siteId": "<siteId>",
"filters.timeStart": "<filters.timeStart>",
"filters.timeEnd": "<filters.timeEnd>"
}
}Details, permissions and error codes
Get logs in site event log page.
The interface requires one of the permissions:
Site Log & Audit Log Manager View Only
deleteEventLogsForSite
DELETE /openapi/v1/{omadacId}/sites/{siteId}/logs/events/delete
Delete site event log
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema DeleteSiteEventLogListOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
logs | array<string> | no | Select the logs to delete; Log ID list can be obtained from 'Get site event log list' interface. |
selectType | string | yes | Select type of logs. include: include selected logs, exclude: all but exclude selected logs, all: include all logs(Parameter [logs] need input '[]'). |
startTime | integer | yes | The start timeStamp of the delete site event log, unit: MS. |
endTime | integer | yes | The end timeStamp of the delete site event log, unit: MS. |
filterModule | string | no | The module of the delete site event log; It is required when [selectType] is 'all', filterModule should be a value as follows: ['System', 'Device', 'Client']. |
// omada_call_operation
{
"operationId": "deleteEventLogsForSite",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Delete site event log.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify
getRemoteLoggingSettingTip
GET /openapi/v1/{omadacId}/sites/{siteId}/remote-logging/tip
Get site remote logging setting tip
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | site_id (site ID or site name) |
// omada_call_operation
{
"operationId": "getRemoteLoggingSettingTip",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site remote logging setting tip.
The interface requires one of the permissions:
Site Settings Manager View Only
Site Map Manager View Only
Site Hotspot Manager View Only
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1300 - Failed to get site information.
getLogSettingForSite
GET /openapi/v1/{omadacId}/sites/{siteId}/site/log-notification
Deprecated
This operation is deprecated.
Get site log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getLogSettingForSite",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site log notification.This interface has been deprecated. Please use the following interface instead: Get site log notification v2
The interface requires one of the permissions:
Site Log & Audit Log Manager View Only
modifyLogSettingSite
PATCH /openapi/v1/{omadacId}/sites/{siteId}/site/log-notification
Deprecated
This operation is deprecated.
Modify site log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema LogNotificationSettingEditOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
webhookConfig | WebhookConfigEditOpenApiVO | no | (WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO") |
logNotifications | array<LogNotificationEditOpenApiVO> | yes | Log Notification List |
alertEmailSetting | LogAlertEmailOpenApiVO | no | (LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyLogSettingSite",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site log notification.This interface has been deprecated. Please use the following interface instead: Modify site log notification v2
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify
resetLogSettingSite
POST /openapi/v1/{omadacId}/sites/{siteId}/site/reset/log-notification
Reset site log notification
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "resetLogSettingSite",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Reset site log notification.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify
getLogSettingForGlobalV2
GET /openapi/v2/{omadacId}/log-notification
Get global log notification v2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
// omada_call_operation
{
"operationId": "getLogSettingForGlobalV2"
}Details, permissions and error codes
Get global log notification.
The interface requires one of the permissions:
Global Log & Audit Log Manager View Only
modifyLogSettingGlobalV2
PATCH /openapi/v2/{omadacId}/log-notification
Modify global log notification v2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
Request body — application/json (required) — schema LogNotificationSettingEditOpenApiV2VO
| Field | Type | Required | Description |
|---|---|---|---|
webhookConfig | WebhookConfigEditOpenApiVO | no | (WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO") |
alertNotifications | array<LogNotificationEditOpenApiV2VO> | no | Alert Notification List |
eventNotifications | array<LogNotificationEditOpenApiV2VO> | no | Event Notification List |
alertEmailSetting | LogAlertEmailOpenApiVO | no | (LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO") |
eventEmailSetting | LogAlertEmailOpenApiVO | no | (LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyLogSettingGlobalV2",
"body": "{...}"
}Details, permissions and error codes
Modify global log notification.
The interface requires one of the permissions:
Global Log & Audit Log Manager Modify
getLogSettingForSiteV2
GET /openapi/v2/{omadacId}/sites/{siteId}/site/log-notification
Get site log notification v2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "getLogSettingForSiteV2",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get site log notification.
The interface requires one of the permissions:
Site Log & Audit Log Manager View Only
modifyLogSettingSiteV2
PATCH /openapi/v2/{omadacId}/sites/{siteId}/site/log-notification
Modify site log notification v2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema LogNotificationSettingEditOpenApiV2VO
| Field | Type | Required | Description |
|---|---|---|---|
webhookConfig | WebhookConfigEditOpenApiVO | no | (WebhookConfigEditOpenApiVO not expanded; call omada_get_schema "WebhookConfigEditOpenApiVO") |
alertNotifications | array<LogNotificationEditOpenApiV2VO> | no | Alert Notification List |
eventNotifications | array<LogNotificationEditOpenApiV2VO> | no | Event Notification List |
alertEmailSetting | LogAlertEmailOpenApiVO | no | (LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO") |
eventEmailSetting | LogAlertEmailOpenApiVO | no | (LogAlertEmailOpenApiVO not expanded; call omada_get_schema "LogAlertEmailOpenApiVO") |
// omada_call_operation
{
"operationId": "modifyLogSettingSiteV2",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify site log notification.
The interface requires one of the permissions:
Site Log & Audit Log Manager Modify